commit:     a5b01b5964864ba1c94ebb23544d3019a8cb4b9a
Author:     Nils Freydank <holgersson <AT> posteo <DOT> de>
AuthorDate: Sun Apr 29 16:36:37 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Mon Apr 30 16:08:39 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5b01b59

app-editors/retext: switch backend to QtWebEngine in 7.0.1.

Package-Manager: Portage-2.3.31, Repoman-2.3.9

 app-editors/retext/retext-7.0.1-r1.ebuild | 61 +++++++++++++++++++++++++++++++
 1 file changed, 61 insertions(+)

diff --git a/app-editors/retext/retext-7.0.1-r1.ebuild 
b/app-editors/retext/retext-7.0.1-r1.ebuild
new file mode 100644
index 00000000000..00f57b4e518
--- /dev/null
+++ b/app-editors/retext/retext-7.0.1-r1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+PLOCALES="ca cs cy da de es et eu fr hu it ja pl pt pt_BR ru sk sr sr@latin uk 
zh_TW"
+
+inherit distutils-r1 virtualx l10n eutils
+
+MY_PN="ReText"
+MY_P="${MY_PN}-${PV/_/~}"
+
+DESCRIPTION="Simple editor for Markdown and reStructuredText"
+HOMEPAGE="https://github.com/retext-project/retext 
https://github.com/retext-project/retext/wiki";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+spell"
+
+RDEPEND="
+       dev-python/docutils[${PYTHON_USEDEP}]
+       dev-python/markdown[${PYTHON_USEDEP}]
+       >=dev-python/markups-2.0[${PYTHON_USEDEP}]
+       >=dev-python/chardet-2.3[${PYTHON_USEDEP}]
+       dev-python/pygments[${PYTHON_USEDEP}]
+       
dev-python/PyQt5[gui,network,printsupport,webengine,widgets,${PYTHON_USEDEP}]
+       spell? ( dev-python/pyenchant[${PYTHON_USEDEP}] )
+"
+
+S="${WORKDIR}"/${MY_P}
+
+remove_locale() {
+       find "${ED}" -name "retext_${1}.qm" -delete || die "Failed to remove 
locale ${1}."
+}
+
+python_test() {
+       virtx esetup.py test
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       newicon {icons/,}${PN}.png
+       newicon {icons/,}${PN}.svg
+
+       l10n_for_each_disabled_locale_do remove_locale
+
+       make_desktop_entry ${PN} "${MY_PN} Editor" ${PN} 
"Development;Utility;TextEditor"
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+}

Reply via email to